Skip to main content
GET
/
v2
/
orgs
/
{orgId}
/
sites
/
{siteId}
/
page-slug
cURL
curl --request GET \
  --url 'https://api.obvlo.com/v2/orgs/{orgId}/sites/{siteId}/page-slug?key='
{
  "siteId": "<string>",
  "mode": "matches",
  "matches": [
    {
      "pageId": "<string>",
      "slug": "<string>",
      "homepageSlug": "<string>",
      "segments": [
        "<string>"
      ],
      "parentIds": [
        "<string>"
      ],
      "destinationId": "<string>",
      "guideId": "<string>",
      "locationId": "<string>"
    }
  ]
}

Authorizations

key
string
query
required

Path Parameters

orgId
string
required

Organization Account Number

siteId
string
required

Site identifier used to scope page slug resolution

Query Parameters

destinationId
string

Destination identifier used to resolve destination/root and destination-scoped page slugs

guideId
string

Guide identifier used to fetch listings for a specific guide

locationId
string

Location identifier used to resolve area page slugs

Response

Success

siteId
string
required
mode
enum<string>
required
Available options:
matches
matches
object[]
required